package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 经销商购物车实体类
 * @auther quanshu
 * @create 2022-02-28 22:54:23
 */
@TableName("mp_channel_cart")
@Data
public class ChannelCart implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "ID" , type = IdType.AUTO)
  private Long id;

  /**
   * 渠道ID
   */
  @TableField("CHANNEL_ID")
  private Long channelId;

  /**
   * 盲票组ID
   */
  @TableField("BOX_ID")
  private Integer boxId;

  /**
   * 订购包数
   */
  @TableField("PKG_NUM")
  private Integer pkgNum;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}