package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 经销商采购订单盲票包明细实体类
 * @auther quanshu
 * @create 2022-02-28 22:54:23
 */
@TableName("mp_channel_order_detail")
@Data
public class ChannelOrderDetail implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "ID" , type = IdType.AUTO)
  private Long id;

  /**
   * 订单ID
   */
  @TableField("ORDER_ID")
  private String orderId;

  /**
   * 渠道ID
   */
  @TableField("CHANNEL_ID")
  private Long channelId;

  /**
   * 盲票组ID
   */
  @TableField("BOX_ID")
  private String boxId;

  /**
   * 盲票包ID
   */
  @TableField("PKG_ID")
  private String pkgId;

  /**
   * 起始序号
   */
  @TableField("START_SN")
  private String startSn;

  /**
   * 结束序号
   */
  @TableField("END_SN")
  private String endSn;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}